Bug 462529 - Review Request: python-feedcache - Wrapper for Mark Pilgrim's FeedParser module which caches feed content
Summary: Review Request: python-feedcache - Wrapper for Mark Pilgrim's FeedParser modu...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-16 21:46 UTC by Luke Macken
Modified: 2016-09-20 02:38 UTC (History)
4 users (show)

Fixed In Version: 1.3-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 18:06:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2008-09-16 21:46:00 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-feedcache.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-feedcache-1.3-1.fc9.src.rpm
Description:
A class to wrap Mark Pilgrim's FeedParser module so that parameters can be used
to cache the feed results locally instead of fetching the feed every time it is
requested. Uses both etag and modified times for caching. The cache is
parameterized to use different backend storage options.

Comment 1 Brian Pepple 2008-11-16 22:19:48 UTC
MD5Sum:
38a2d25a32409402995d624cbc7a5b39  feedcache-1.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly

Bad:
* rpmlint produces the following errors which should be reviewed/corrected before importing into CVS:
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/cachestoragelock.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/__init__.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/test_cachestoragelock.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/test_cache.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/cache.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/test_server.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/example.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/example_threads.py 0644
python-feedcache.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/feedcache/test_shovefilesystem.py 0644

+1 APPROVED (once those rpmlint errors are looked at)

Comment 2 Luke Macken 2008-11-17 20:10:01 UTC
http://lmacken.fedorapeople.org/rpms/python-feedcache-1.3-2.fc9.src.rpm
http://lmacken.fedorapeople.org/rpms/python-feedcache.spec

* Mon Nov 17 2008 Luke Macken <lmacken@redhat.com> 1.3-2
- Remove script shebangs to make rpmlint happy

[lmacken@x300 rpmbuild]$ rpmlint /home/lmacken/rpmbuild/RPMS/noarch/python-feedcache-1.3-2.fc10.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Luke Macken 2008-11-17 20:11:36 UTC
New Package CVS Request
=======================
Package Name: python-feedcache
Short Description: Wrapper for Mark Pilgrim's FeedParser module which caches feed content
Owners: lmacken
Branches: F-9 F-10 EL-5

Comment 4 Kevin Fenzi 2008-11-19 01:40:19 UTC
cvs done.

Comment 5 Fedora Update System 2009-06-02 14:27:49 UTC
python-feedcache-1.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-feedcache-1.3-2.fc10

Comment 6 Fedora Update System 2009-06-04 21:09:38 UTC
python-feedcache-1.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.